Index: /trunk/GENIRacks/ExoGENI/Spiral5/RSpecs/ConfirmationTests/EG-CT-1/TemplateRspecs/EG-CT-1-newsite.rspec
===================================================================
--- /trunk/GENIRacks/ExoGENI/Spiral5/RSpecs/ConfirmationTests/EG-CT-1/TemplateRspecs/EG-CT-1-newsite.rspec	(revision 1573)
+++ /trunk/GENIRacks/ExoGENI/Spiral5/RSpecs/ConfirmationTests/EG-CT-1/TemplateRspecs/EG-CT-1-newsite.rspec	(revision 1573)
@@ -0,0 +1,50 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<rspec type="request" 
+	xsi:schemaLocation="http://www.geni.net/resources/rspec/3 
+	          	    http://www.geni.net/resources/rspec/3/request.xsd
+                            http://www.protogeni.net/resources/rspec/ext/shared-vlan/1
+                            http://www.protogeni.net/resources/rspec/ext/shared-vlan/1/request.xsd"
+	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
+        xmlns:s="http://www.protogeni.net/resources/rspec/ext/shared-vlan/1"
+	xmlns="http://www.geni.net/resources/rspec/3">
+  <node client_id="VM-1" component_manager_id="urn:publicid:IDN+newsitevmsite+authority+cm">
+    <sliver_type name="m1.small">
+    <disk_image name="http://geni-images.renci.org/images/standard/debian/debian-squeeze-amd64-neuca-2g.zfilesystem.sparse.xml" version="6a8a8466aef43774bf2e309af47ce876ba793f36" />
+ </sliver_type>
+   <interface client_id="VM-1:if0">
+      <ip address="172.16.1.1" netmask="255.255.255.0" />
+    </interface>
+  </node>
+  <node client_id="VM-2" component_manager_id="urn:publicid:IDN+newsitevmsite+authority+cm">
+    <sliver_type name="m1.large">
+    <disk_image name="http://geni-images.renci.org/images/standard/debian/debian-squeeze-amd64-neuca-5g.zfilesystem.sparse.xml" version="d74dfdb68836fca8240fb634de8c4bc2e40f592e" />
+ </sliver_type>
+    <interface client_id="VM-2:if0">
+      <ip address="172.16.1.2" netmask="255.255.255.0" />
+    </interface>
+  </node>
+  <node client_id="VM-3" component_manager_id="urn:publicid:IDN+newsitevmsite+authority+cm">
+    <sliver_type name="m1.large">
+    <disk_image name="http://geni-images.renci.org/images/standard/debian/debian-squeeze-amd64-neuca-10g.zfilesystem.sparse.xml" version="4164446d4ae96087b49ba81e9a3d6b2bc305d004" />
+ </sliver_type>
+    <interface client_id="VM-3:if0">
+     <ip address="172.16.1.3" netmask="255.255.255.0" />
+    </interface>
+  </node>
+  <node client_id="VM-4" component_manager_id="urn:publicid:IDN+newsitevmsite+authority+cm">
+    <sliver_type name="m1.large">
+    <disk_image name="http://geni-images.renci.org/images/standard/debian/debian-squeeze-amd64-neuca-20g.zfilesystem.sparse.xml" version="ec57dafbbf998e8ae5bb8feff95d5c19d466cc40" />
+ </sliver_type>
+    <interface client_id="VM-4:if0">
+    <ip address="172.16.1.4" netmask="255.255.255.0" />
+    </interface>
+  </node>
+  <link client_id="lan0">
+    <component_manager name="urn:publicid:IDN+newsitevmsite+authority+cm"/>
+    <interface_ref client_id="VM-1:if0"/>
+    <interface_ref client_id="VM-2:if0"/>
+    <interface_ref client_id="VM-3:if0"/>
+    <interface_ref client_id="VM-4:if0"/>
+    <link_type name="lan"/>
+  </link>
+</rspec>
Index: /trunk/GENIRacks/ExoGENI/Spiral5/RSpecs/ConfirmationTests/EG-CT-2/TemplateRspecs/EG-CT-2-newsite.rspec
===================================================================
--- /trunk/GENIRacks/ExoGENI/Spiral5/RSpecs/ConfirmationTests/EG-CT-2/TemplateRspecs/EG-CT-2-newsite.rspec	(revision 1573)
+++ /trunk/GENIRacks/ExoGENI/Spiral5/RSpecs/ConfirmationTests/EG-CT-2/TemplateRspecs/EG-CT-2-newsite.rspec	(revision 1573)
@@ -0,0 +1,36 @@
+<rspec type="request" 
+	xsi:schemaLocation="http://www.geni.net/resources/rspec/3 
+	          	    http://www.geni.net/resources/rspec/3/request.xsd
+                            http://www.protogeni.net/resources/rspec/ext/shared-vlan/1
+                            http://www.protogeni.net/resources/rspec/ext/shared-vlan/1/request.xsd"
+	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
+        xmlns:s="http://www.protogeni.net/resources/rspec/ext/shared-vlan/1"
+	xmlns="http://www.geni.net/resources/rspec/3">
+
+<node client_id="BM-1" component_manager_id="urn:publicid:IDN+newsitevm+authority+cm" >
+    <sliver_type name="exogeni-m4">
+    </sliver_type>
+    <interface client_id="BM-1:if0">
+   <ip address="172.16.1.7" netmask="255.255.255.0" />
+    </interface>
+  </node>
+
+ <node client_id="VM-1" component_manager_id="urn:publicid:IDN+newsitevm+authority+cm" >
+    <sliver_type name="m1.small">
+   <disk_image name="http://geni-images.renci.org/images/standard/debian/debian-squeeze-amd64-neuca-2g.zfilesys
+tem.sparse.xml" version="6a8a8466aef43774bf2e309af47ce876ba793f36" />
+    </sliver_type>
+    <interface client_id="VM-1:if0">
+   <ip address="172.16.1.8" netmask="255.255.255.0" />
+    </interface>
+  </node>
+
+  <link client_id="lan0">
+    <component_manager name="urn:publicid:IDN+newsitevm+authority+cm"/>
+    <interface_ref client_id="BM-1:if0"/>
+    <interface_ref client_id="VM-1:if0"/>
+    <property source_id="BM-1:if0" dest_id="VM-1:if0" />
+    <property source_id="VM-1:if0" dest_id="BM-1:if0" />
+    <link_type name="lan"/>
+  </link>
+</rspec>
Index: /trunk/GENIRacks/ExoGENI/Spiral5/RSpecs/ConfirmationTests/EG-CT-3/TemplateRspecs/EG-CT-3-newsite.rspec
===================================================================
--- /trunk/GENIRacks/ExoGENI/Spiral5/RSpecs/ConfirmationTests/EG-CT-3/TemplateRspecs/EG-CT-3-newsite.rspec	(revision 1573)
+++ /trunk/GENIRacks/ExoGENI/Spiral5/RSpecs/ConfirmationTests/EG-CT-3/TemplateRspecs/EG-CT-3-newsite.rspec	(revision 1573)
@@ -0,0 +1,30 @@
+<rspec type="request" 
+	xsi:schemaLocation="http://www.geni.net/resources/rspec/3 
+	          	    http://www.geni.net/resources/rspec/3/request.xsd
+                            http://www.protogeni.net/resources/rspec/ext/shared-vlan/1
+                            http://www.protogeni.net/resources/rspec/ext/shared-vlan/1/request.xsd"
+	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
+        xmlns:s="http://www.protogeni.net/resources/rspec/ext/shared-vlan/1"
+	xmlns="http://www.geni.net/resources/rspec/3">
+
+<node client_id="geni1" component_manager_id="urn:publicid:IDN+bbnvmsite+authority+cm">
+ <sliver_type name="m1.small">
+   <disk_image name="http://geni-images.renci.org/images/standard/debian/debian-squeeze-amd64-neuca-2g.zfilesystem.sparse.xml" version="0866827ee71324fbbe273c9e8f4f1c142a548e11" />
+ </sliver_type>
+ <interface client_id="geni1:0">
+    <ip address="172.16.2.1" netmask="255.255.255.0" />
+ </interface>
+</node>
+<node client_id="geni2" component_manager_id="urn:publicid:IDN+newsitevmsite+authority+cm">
+ <sliver_type name="m1.large">
+   <disk_image name="http://geni-images.renci.org/images/standard/debian/debian-squeeze-amd64-neuca-5g.zfilesystem.sparse.xml" version="0d9f01df3cf8cbbc72540b7312933d796086f843" />
+ </sliver_type>
+ <interface client_id="geni2:0" >
+   <ip address="172.16.2.2" netmask="255.255.255.0" />
+ </interface>
+</node>
+<link client_id="center">
+  <interface_ref client_id="geni1:0" />
+  <interface_ref client_id="geni2:0" />
+</link>
+</rspec>
Index: /trunk/GENIRacks/ExoGENI/Spiral5/RSpecs/ConfirmationTests/EG-CT-4/TemplateRspecs/EG-CT-4-eg-gpo.rspec
===================================================================
--- /trunk/GENIRacks/ExoGENI/Spiral5/RSpecs/ConfirmationTests/EG-CT-4/TemplateRspecs/EG-CT-4-eg-gpo.rspec	(revision 1573)
+++ /trunk/GENIRacks/ExoGENI/Spiral5/RSpecs/ConfirmationTests/EG-CT-4/TemplateRspecs/EG-CT-4-eg-gpo.rspec	(revision 1573)
@@ -0,0 +1,31 @@
+<rspec type="request" 
+	xsi:schemaLocation="http://www.geni.net/resources/rspec/3 
+	          	    http://www.geni.net/resources/rspec/3/request.xsd
+                            http://www.protogeni.net/resources/rspec/ext/shared-vlan/1
+                            http://www.protogeni.net/resources/rspec/ext/shared-vlan/1/request.xsd"
+	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
+        xmlns:s="http://www.protogeni.net/resources/rspec/ext/shared-vlan/1"
+	xmlns="http://www.geni.net/resources/rspec/3">
+
+  <node client_id="VM-1" component_manager_id="urn:publicid:IDN+bbnvmsite+authority+cm" >
+    <sliver_type name="m1.small">
+   <disk_image name="http://geni-images.renci.org/images/standard/debian/debian-squeeze-amd64-neuca-2g.zfilesystem.sparse.xml" version="0866827ee71324fbbe273c9e8f4f1c142a548e11" />
+    </sliver_type>
+    <interface client_id="VM-1:if0">
+   <ip address="10.42.11.15" netmask="255.255.0.0" />
+    </interface>
+  </node>
+  <node client_id="VM-2" component_manager_id="urn:publicid:IDN+bbnvmsite+authority+cm" >
+    <sliver_type name="m1.small">
+   <disk_image name="http://geni-images.renci.org/images/standard/debian/debian-squeeze-amd64-neuca-2g.zfilesystem.sparse.xml" version="0866827ee71324fbbe273c9e8f4f1c142a548e11" />
+    </sliver_type>
+    <interface client_id="VM-2:if0">
+   <ip address="10.42.11.16" netmask="255.255.255.0" />
+    </interface>
+  </node>
+  <link client_id="lan0">
+    <interface_ref client_id="VM-1:if0"/>
+    <interface_ref client_id="VM-2:if0"/>
+    <s:link_shared_vlan name="1750"/>
+  </link>
+</rspec>
Index: /trunk/GENIRacks/ExoGENI/Spiral5/RSpecs/ConfirmationTests/EG-CT-4/TemplateRspecs/EG-CT-4-openflow-eg-gpo.rspec
===================================================================
--- /trunk/GENIRacks/ExoGENI/Spiral5/RSpecs/ConfirmationTests/EG-CT-4/TemplateRspecs/EG-CT-4-openflow-eg-gpo.rspec	(revision 1573)
+++ /trunk/GENIRacks/ExoGENI/Spiral5/RSpecs/ConfirmationTests/EG-CT-4/TemplateRspecs/EG-CT-4-openflow-eg-gpo.rspec	(revision 1573)
@@ -0,0 +1,41 @@
+<!-- 
+
+AM: https://foam.gpolab.bbn.com:3626/foam/gapi/1
+-->
+
+<rspec xmlns="http://www.geni.net/resources/rspec/3"
+       xmlns:xs="http://www.w3.org/2001/XMLSchema-instance"
+       xmlns:openflow="http://www.geni.net/resources/rspec/ext/openflow/3"
+       xs:schemaLocation="http://www.geni.net/resources/rspec/3
+           http://www.geni.net/resources/rspec/3/request.xsd
+           http://www.geni.net/resources/rspec/ext/openflow/3
+           http://www.geni.net/resources/rspec/ext/openflow/3/of-resv.xsd"
+       type="request">
+
+  <openflow:sliver description="Sliver to allow BBN, BBN ExoGENI, Clemson MyPLC and Rutgers WAPG over 3716 "
+                   email="lnevers@bbn.com">
+
+    <openflow:controller url="tcp:mallorea.gpolab.bbn.com:33020" type="primary" />
+
+    <openflow:group name="Site-1750-nlr-3716">
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.gpolab.bbn.com+datapath+06:d6:00:12:e2:b8:a5:d0"
+			 component_manager_id="urn:publicid:IDN+openflow:foam:foam.gpolab.bbn.com+authority+am">
+        <openflow:port num="5"/>
+        <openflow:port num="15"/>
+      </openflow:datapath>
+    </openflow:group>
+
+    <openflow:match>
+
+      <openflow:use-group name="Site-1750-nlr-3716" />
+
+      <openflow:packet>
+        <openflow:dl_type value="0x800,0x806"/>
+        <openflow:nw_dst value="10.42.11.0/24"/>
+        <openflow:nw_src value="10.42.11.0/24"/>
+      </openflow:packet>
+
+    </openflow:match>
+  </openflow:sliver>
+
+</rspec>
Index: /trunk/GENIRacks/ExoGENI/Spiral5/RSpecs/ConfirmationTests/EG-CT-4/TemplateRspecs/IG-CT-4-ig-utah.rspec
===================================================================
--- /trunk/GENIRacks/ExoGENI/Spiral5/RSpecs/ConfirmationTests/EG-CT-4/TemplateRspecs/IG-CT-4-ig-utah.rspec	(revision 1573)
+++ /trunk/GENIRacks/ExoGENI/Spiral5/RSpecs/ConfirmationTests/EG-CT-4/TemplateRspecs/IG-CT-4-ig-utah.rspec	(revision 1573)
@@ -0,0 +1,39 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!-- 
+This rspec will two VMs on VLAN 1750 at the InstaGENI rack at Utah,
+Only one node is used for IG-CT-4 New Site Confirmation Tests.
+AM: http://utah.geniracks.net/protogeni/xmlrpc/am
+--> 
+<rspec xmlns="http://www.geni.net/resources/rspec/3"
+       xmlns:xs="http://www.w3.org/2001/XMLSchema-instance"
+       xmlns:sharedvlan="http://www.protogeni.net/resources/rspec/ext/shared-vlan/1"
+       xs:schemaLocation="http://www.geni.net/resources/rspec/3
+           http://www.geni.net/resources/rspec/3/request.xsd
+           http://www.protogeni.net/resources/rspec/ext/shared-vlan/1
+           http://www.protogeni.net/resources/rspec/ext/shared-vlan/1/request.xsd"
+       type="request">
+
+  <node client_id="utah-ig" exclusive="false">
+    <sliver_type name="emulab-openvz" />
+    <interface client_id="utah-ig:if0">
+      <ip address="10.42.11.33" netmask="255.255.255.0" type="ipv4" />
+    </interface>
+  </node>
+
+  <node client_id="utah-ig2" exclusive="false">
+    <sliver_type name="emulab-openvz" />
+    <interface client_id="utah-ig2:if0">
+      <ip address="10.42.11.32" netmask="255.255.255.0" type="ipv4" />
+    </interface>
+  </node>
+
+  <link client_id="openflow-mesoscale-0">
+    <interface_ref client_id="utah-ig:if0" />
+    <sharedvlan:link_shared_vlan name="mesoscale-openflow" />
+  </link>
+
+  <link client_id="openflow-mesoscale-1">
+    <interface_ref client_id="utah-ig2:if0" />
+    <sharedvlan:link_shared_vlan name="mesoscale-openflow" />
+  </link>
+</rspec>
Index: /trunk/GENIRacks/ExoGENI/Spiral5/RSpecs/ConfirmationTests/EG-CT-4/TemplateRspecs/IG-CT-4-newsite.rspec
===================================================================
--- /trunk/GENIRacks/ExoGENI/Spiral5/RSpecs/ConfirmationTests/EG-CT-4/TemplateRspecs/IG-CT-4-newsite.rspec	(revision 1573)
+++ /trunk/GENIRacks/ExoGENI/Spiral5/RSpecs/ConfirmationTests/EG-CT-4/TemplateRspecs/IG-CT-4-newsite.rspec	(revision 1573)
@@ -0,0 +1,27 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!-- 
+This rspec will one VMs on VLAN 1750 at the New Site
+AM: http://utah.geniracks.net/protogeni/xmlrpc/am
+--> 
+<rspec xmlns="http://www.geni.net/resources/rspec/3"
+       xmlns:xs="http://www.w3.org/2001/XMLSchema-instance"
+       xmlns:sharedvlan="http://www.protogeni.net/resources/rspec/ext/shared-vlan/1"
+       xs:schemaLocation="http://www.geni.net/resources/rspec/3
+           http://www.geni.net/resources/rspec/3/request.xsd
+           http://www.protogeni.net/resources/rspec/ext/shared-vlan/1
+           http://www.protogeni.net/resources/rspec/ext/shared-vlan/1/request.xsd"
+       type="request">
+
+  <node client_id="newsite-ig" exclusive="false">
+    <sliver_type name="emulab-openvz" />
+    <interface client_id="newsite-ig:if0">
+      <ip address="10.42.11.41" netmask="255.255.255.0" type="ipv4" />
+    </interface>
+  </node>
+
+  <link client_id="openflow-mesoscale-0">
+    <interface_ref client_id="newsite-ig:if0" />
+    <sharedvlan:link_shared_vlan name="mesoscale-openflow" />
+  </link>
+
+</rspec>
Index: /trunk/GENIRacks/ExoGENI/Spiral5/RSpecs/ConfirmationTests/EG-CT-4/TemplateRspecs/IG-CT-4-openflow-instageni.rspec
===================================================================
--- /trunk/GENIRacks/ExoGENI/Spiral5/RSpecs/ConfirmationTests/EG-CT-4/TemplateRspecs/IG-CT-4-openflow-instageni.rspec	(revision 1573)
+++ /trunk/GENIRacks/ExoGENI/Spiral5/RSpecs/ConfirmationTests/EG-CT-4/TemplateRspecs/IG-CT-4-openflow-instageni.rspec	(revision 1573)
@@ -0,0 +1,42 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!-- 
+This rspec will reserve the OpenFlow resources in the InstaGENI rack 
+at Utah used by IG-CT-4 New Site Confirmation Test
+
+AM: https://foam.utah.geniracks.net:3626/foam/gapi/1
+-->
+
+<rspec xmlns="http://www.geni.net/resources/rspec/3"
+       xmlns:xs="http://www.w3.org/2001/XMLSchema-instance"
+       xmlns:openflow="http://www.geni.net/resources/rspec/ext/openflow/3"
+       xs:schemaLocation="http://www.geni.net/resources/rspec/3
+           http://www.geni.net/resources/rspec/3/request.xsd
+           http://www.geni.net/resources/rspec/ext/openflow/3
+           http://www.geni.net/resources/rspec/ext/openflow/3/of-resv.xsd"
+       type="request">
+
+  <openflow:sliver description="New Site Confirmation Test IG-CT-4 ">
+
+    <openflow:controller url="tcp:mallorea.gpolab.bbn.com:33020" type="primary" />
+
+
+    <openflow:group name="utah-instageni-1750">
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:ig-utah+datapath+06:d6:00:24:a8:5d:0b:00" 
+		         component_manager_id="urn:publicid:IDN+openflow:foam:ig-utah+authority+am" />
+    </openflow:group>
+
+    <openflow:match>
+
+      <openflow:use-group name="utah-instageni-1750" />
+
+      <openflow:packet>
+	<openflow:dl_type value="0x800,0x806"/>
+	<openflow:nw_dst value="10.42.11.0/24"/>
+	<openflow:nw_src value="10.42.11.0/24"/>
+      </openflow:packet>
+
+    </openflow:match>
+
+  </openflow:sliver>
+
+</rspec>
Index: /trunk/GENIRacks/ExoGENI/Spiral5/RSpecs/ConfirmationTests/EG-CT-4/TemplateRspecs/IG-CT-4-openflow-internet2.rspec
===================================================================
--- /trunk/GENIRacks/ExoGENI/Spiral5/RSpecs/ConfirmationTests/EG-CT-4/TemplateRspecs/IG-CT-4-openflow-internet2.rspec	(revision 1573)
+++ /trunk/GENIRacks/ExoGENI/Spiral5/RSpecs/ConfirmationTests/EG-CT-4/TemplateRspecs/IG-CT-4-openflow-internet2.rspec	(revision 1573)
@@ -0,0 +1,69 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!-- 
+This rspec will reserve the OpenFlow resources at Internet2
+used by the IG-CT-4 New Site Confirmation Test 
+AM: https://foam.net.internet2.edu:3626/foam/gapi/1
+-->
+<rspec xmlns="http://www.geni.net/resources/rspec/3"
+       xmlns:xs="http://www.w3.org/2001/XMLSchema-instance"
+       xmlns:openflow="http://www.geni.net/resources/rspec/ext/openflow/3"
+       xs:schemaLocation="http://www.geni.net/resources/rspec/3
+           http://www.geni.net/resources/rspec/3/request.xsd
+           http://www.geni.net/resources/rspec/ext/openflow/3
+           http://www.geni.net/resources/rspec/ext/openflow/3/of-resv.xsd"
+       type="request">
+  <openflow:sliver description="New Site Confirmation Test IG-CT-4 "
+		   email="lnevers@bbn.com">
+
+ <openflow:controller url="tcp:mallorea.gpolab.bbn.com:33020" type="primary" />
+
+    <openflow:group name="i2-3716">
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+00:00:0e:84:40:39:18:1b" 
+	component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am" />  <!-- I2 NEWY 3716 -->
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+00:00:0e:84:40:39:18:58" 
+	component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am" />  <!-- I2 WASH 3716 -->
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+00:00:0e:84:40:39:19:96" 
+	component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am" />  <!-- I2 ATLA 3716 -->
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+00:00:0e:84:40:39:1a:57" 
+	component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am" />  <!-- I2 HOUS 3716 -->
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+00:00:0e:84:40:39:1b:93" 
+	component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am" />  <!-- I2 LOSA 3716 -->
+    </openflow:group>
+
+   <openflow:group name="I2-LOSA-1750-3716">
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+00:00:06:d6:40:39:1b:93" 
+	component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am" dpid="00:00:06:d6:40:39:1b:93">
+        <openflow:port name="15" num="4"/>
+      </openflow:datapath>
+    </openflow:group>
+
+    <openflow:group name="UEN-1750">
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+00:00:06:d6:40:39:1b:93" 
+	component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am" dpid="00:00:06:d6:40:39:1b:93">
+        <openflow:port name="12" num="2"/>
+      </openflow:datapath>
+    </openflow:group>
+
+    <openflow:group name="I2-ATLA-1750-3716">
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+00:00:06:d6:40:39:19:96" 	
+	component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am" dpid="00:00:06:d6:40:39:19:96">
+        <openflow:port name="9" num="2"/>
+      </openflow:datapath>
+    </openflow:group>
+
+    <openflow:match>
+
+      <openflow:use-group name="i2-3716" />
+      <openflow:use-group name="UEN-1750" />
+      <openflow:use-group name="I2-LOSA-1750-3716" />
+      <openflow:packet>
+	<openflow:dl_type value="0x800,0x806"/>
+	<openflow:nw_dst value="10.42.11.0/24"/>
+	<openflow:nw_src value="10.42.11.0/24"/>
+      </openflow:packet>
+
+    </openflow:match>
+
+  </openflow:sliver>
+
+</rspec>
Index: /trunk/GENIRacks/ExoGENI/Spiral5/RSpecs/ConfirmationTests/EG-CT-4/TemplateRspecs/IG-CT-4-openflow-newsite.rspec
===================================================================
--- /trunk/GENIRacks/ExoGENI/Spiral5/RSpecs/ConfirmationTests/EG-CT-4/TemplateRspecs/IG-CT-4-openflow-newsite.rspec	(revision 1573)
+++ /trunk/GENIRacks/ExoGENI/Spiral5/RSpecs/ConfirmationTests/EG-CT-4/TemplateRspecs/IG-CT-4-openflow-newsite.rspec	(revision 1573)
@@ -0,0 +1,41 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!-- 
+This rspec will reserve the OpenFlow resources in New Site InstaGENI rack 
+
+AM: https://foam.utah.geniracks.net:3626/foam/gapi/1
+-->
+
+<rspec xmlns="http://www.geni.net/resources/rspec/3"
+       xmlns:xs="http://www.w3.org/2001/XMLSchema-instance"
+       xmlns:openflow="http://www.geni.net/resources/rspec/ext/openflow/3"
+       xs:schemaLocation="http://www.geni.net/resources/rspec/3
+           http://www.geni.net/resources/rspec/3/request.xsd
+           http://www.geni.net/resources/rspec/ext/openflow/3
+           http://www.geni.net/resources/rspec/ext/openflow/3/of-resv.xsd"
+       type="request">
+
+  <openflow:sliver description="New Site Confirmation Test IG-CT-4 ">
+
+    <openflow:controller url="tcp:mallorea.gpolab.bbn.com:33020" type="primary" />
+
+
+    <openflow:group name="newsite-instageni-1750">
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:new-ig-utah+datapath+06:d6:00:24:a8:5d:0b:00" 
+		         component_manager_id="urn:publicid:IDN+openflow:foam:new-ig-utah+authority+am" />
+    </openflow:group>
+
+    <openflow:match>
+
+      <openflow:use-group name="newsite-instageni-1750" />
+
+      <openflow:packet>
+	<openflow:dl_type value="0x800,0x806"/>
+	<openflow:nw_dst value="10.42.11.0/24"/>
+	<openflow:nw_src value="10.42.11.0/24"/>
+      </openflow:packet>
+
+    </openflow:match>
+
+  </openflow:sliver>
+
+</rspec>
Index: /trunk/GENIRacks/ExoGENI/Spiral5/RSpecs/ConfirmationTests/EG-CT-4/TemplateRspecs/IG-CT-4-openflow-nlr.rspec
===================================================================
--- /trunk/GENIRacks/ExoGENI/Spiral5/RSpecs/ConfirmationTests/EG-CT-4/TemplateRspecs/IG-CT-4-openflow-nlr.rspec	(revision 1573)
+++ /trunk/GENIRacks/ExoGENI/Spiral5/RSpecs/ConfirmationTests/EG-CT-4/TemplateRspecs/IG-CT-4-openflow-nlr.rspec	(revision 1573)
@@ -0,0 +1,50 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!-- 
+This rspec will reserve the OpenFlow resources at NLR
+for IG-CT-4 New Site Confirmation Test
+AM: https://foam.nlr.net:3626/foam/gapi/1
+-->
+
+<rspec xmlns="http://www.geni.net/resources/rspec/3"
+       xmlns:xs="http://www.w3.org/2001/XMLSchema-instance"
+       xmlns:openflow="http://www.geni.net/resources/rspec/ext/openflow/3"
+       xs:schemaLocation="http://www.geni.net/resources/rspec/3
+           http://www.geni.net/resources/rspec/3/request.xsd
+           http://www.geni.net/resources/rspec/ext/openflow/3
+           http://www.geni.net/resources/rspec/ext/openflow/3/of-resv.xsd"
+       type="request">
+
+  <openflow:sliver description="New Site Confirmation Test IG-CT-4 "
+                   email="lnevers@bbn.com">
+
+    <openflow:controller url="tcp:mallorea.gpolab.bbn.com:33020" type="primary" />
+
+    <openflow:group name="nlr-atla-1750-3716">
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.nlr.net+datapath+06:d6:00:24:a8:d2:b8:40" component_manager_id="urn:publicid:IDN+openflow:foam:foam.nlr.net+authority+am">
+        <openflow:port num="5"/>   <!-- to VLAN 3716 -->
+        <openflow:port num="9"/>   <!-- to AMPATH -->
+        <openflow:port num="11"/>  <!-- to FIU -->
+        <openflow:port num="49"/>  <!-- to RENCI -->
+      </openflow:datapath>
+    </openflow:group>
+
+    <openflow:group name="nlr-3716">
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.nlr.net+datapath+0e:84:00:23:47:c8:bc:00" component_manager_id="urn:publicid:IDN+openflow:foam:foam.nlr.net+authority+am" />  <!-- NLR CHIC 3716 -->
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.nlr.net+datapath+0e:84:00:23:47:ca:bc:40" component_manager_id="urn:publicid:IDN+openflow:foam:foam.nlr.net+authority+am" />  <!-- NLR SUNN 3716 -->
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.nlr.net+datapath+0e:84:00:24:a8:d2:48:00" component_manager_id="urn:publicid:IDN+openflow:foam:foam.nlr.net+authority+am" />  <!-- NLR SEAT 3716 -->
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.nlr.net+datapath+0e:84:00:24:a8:d2:b8:40" component_manager_id="urn:publicid:IDN+openflow:foam:foam.nlr.net+authority+am" />  <!-- NLR ATLA 3716 -->
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.nlr.net+datapath+0e:84:00:26:f1:40:a8:00" component_manager_id="urn:publicid:IDN+openflow:foam:foam.nlr.net+authority+am" />  <!-- NLR DENV 3716 -->
+    </openflow:group>
+
+    <openflow:match>
+      <openflow:use-group name="nlr-atla-1750-3716" />
+      <openflow:use-group name="nlr-3716" />
+      <openflow:packet>
+	<openflow:dl_type value="0x800,0x806"/>
+	<openflow:nw_dst value="10.42.11.0/24"/>
+	<openflow:nw_src value="10.42.11.0/24"/>
+      </openflow:packet>
+    </openflow:match>
+  </openflow:sliver>
+</rspec>
+
Index: /trunk/GENIRacks/ExoGENI/Spiral5/RSpecs/ConfirmationTests/EG-CT-4/TemplateRspecs/IG-CT-4-openflow-rutgers.rspec
===================================================================
--- /trunk/GENIRacks/ExoGENI/Spiral5/RSpecs/ConfirmationTests/EG-CT-4/TemplateRspecs/IG-CT-4-openflow-rutgers.rspec	(revision 1573)
+++ /trunk/GENIRacks/ExoGENI/Spiral5/RSpecs/ConfirmationTests/EG-CT-4/TemplateRspecs/IG-CT-4-openflow-rutgers.rspec	(revision 1573)
@@ -0,0 +1,48 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!-- 
+This rspec will reserve the OpenFlow resources at Rutgers
+used by the IG-CT-4 Site Confirmation Test.
+
+AM: https://nox.orbit-lab.org:3626/foam/gapi/1
+-->
+
+<rspec xmlns="http://www.geni.net/resources/rspec/3"
+       xmlns:xs="http://www.w3.org/2001/XMLSchema-instance"
+       xmlns:openflow="http://www.geni.net/resources/rspec/ext/openflow/3"
+       xs:schemaLocation="http://www.geni.net/resources/rspec/3
+           http://www.geni.net/resources/rspec/3/request.xsd
+           http://www.geni.net/resources/rspec/ext/openflow/3
+           http://www.geni.net/resources/rspec/ext/openflow/3/of-resv.xsd"
+       type="request">
+
+  <openflow:sliver description="New Site Confirmation Test IG-CT-4 "
+		   email="lnevers@bbn.com">
+
+    <openflow:controller url="tcp:mallorea.gpolab.bbn.com:33020" type="primary" />
+
+    <openflow:group name="rutgers-1750-i2-3716">
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:internal2.orbit-lab.org+datapath+00:00:00:10:10:17:50:01"
+			 component_manager_id="urn:publicid:IDN+openflow:foam:internal2.orbit-lab.org+authority+am">
+	<openflow:port num="5"/>
+	<openflow:port num="9"/>
+	<openflow:port num="10"/>
+	<openflow:port num="11"/>
+	<openflow:port num="12"/>
+      </openflow:datapath>
+    </openflow:group>
+
+    <openflow:match>
+
+      <openflow:use-group name="rutgers-1750-i2-3716" />
+
+      <openflow:packet>
+	<openflow:dl_type value="0x800,0x806"/>
+	<openflow:nw_dst value="10.42.11.0/24"/>
+	<openflow:nw_src value="10.42.11.0/24"/>
+      </openflow:packet>
+
+    </openflow:match>
+
+  </openflow:sliver>
+
+</rspec>
Index: /trunk/GENIRacks/ExoGENI/Spiral5/RSpecs/ConfirmationTests/EG-CT-4/TemplateRspecs/IG-CT-4-openflow-uen.rspec
===================================================================
--- /trunk/GENIRacks/ExoGENI/Spiral5/RSpecs/ConfirmationTests/EG-CT-4/TemplateRspecs/IG-CT-4-openflow-uen.rspec	(revision 1573)
+++ /trunk/GENIRacks/ExoGENI/Spiral5/RSpecs/ConfirmationTests/EG-CT-4/TemplateRspecs/IG-CT-4-openflow-uen.rspec	(revision 1573)
@@ -0,0 +1,49 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!-- 
+This rspec will reserve the OpenFlow resources at UEN
+used by the  IG-CT-1 New Site Confirmation Test
+
+AM: https://foamyflow.chpc.utah.edu:3626/foam/gapi/1
+-->
+
+<rspec xmlns="http://www.geni.net/resources/rspec/3"
+       xmlns:xs="http://www.w3.org/2001/XMLSchema-instance"
+       xmlns:openflow="http://www.geni.net/resources/rspec/ext/openflow/3"
+       xs:schemaLocation="http://www.geni.net/resources/rspec/3
+           http://www.geni.net/resources/rspec/3/request.xsd
+           http://www.geni.net/resources/rspec/ext/openflow/3
+           http://www.geni.net/resources/rspec/ext/openflow/3/of-resv.xsd"
+       type="request">
+
+  <openflow:sliver description="New Site Confirmation Test IG-CT-4 ">
+
+    <openflow:controller url="tcp:mallorea.gpolab.bbn.com:33020" type="primary" />
+
+
+    <openflow:group name="uen-1750">
+    <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foamyflow.chpc.utah.edu+datapath+06:d6:ac:16:2d:f5:2d:00" 
+	component_manager_id="urn:publicid:IDN+openflow:foam:foamyflow.chpc.utah.edu+authority+am" dpid="06:d6:ac:16:2d:f5:2d:00">
+        <openflow:port name="A21" num="21"/>
+        <openflow:port name="A22" num="22"/>
+      </openflow:datapath>
+    </openflow:group>
+
+   <openflow:group name="utah-instageni-1750">
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:ig-utah+datapath+06:d6:00:24:a8:5d:0b:00" 
+		         component_manager_id="urn:publicid:IDN+openflow:foam:ig-utah+authority+am" />
+    </openflow:group>
+
+    <openflow:match>
+      <openflow:use-group name="utah-instageni-1750" />
+      <openflow:use-group name="uen-1750" />
+      <openflow:packet>
+	<openflow:dl_type value="0x800,0x806"/>
+	<openflow:nw_dst value="10.42.11.0/24"/>
+	<openflow:nw_src value="10.42.11.0/24"/>
+      </openflow:packet>
+
+    </openflow:match>
+
+  </openflow:sliver>
+
+</rspec>
Index: /trunk/GENIRacks/ExoGENI/Spiral5/RSpecs/ConfirmationTests/EG-CT-4/TemplateRspecs/IG-CT-4-pg-utah.rspec
===================================================================
--- /trunk/GENIRacks/ExoGENI/Spiral5/RSpecs/ConfirmationTests/EG-CT-4/TemplateRspecs/IG-CT-4-pg-utah.rspec	(revision 1573)
+++ /trunk/GENIRacks/ExoGENI/Spiral5/RSpecs/ConfirmationTests/EG-CT-4/TemplateRspecs/IG-CT-4-pg-utah.rspec	(revision 1573)
@@ -0,0 +1,24 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!-- 
+This rspec will reserve one VM named utah-pg used by the IG-CT-4 New Site Confirmation Test
+AM: http://www.emulab.net/protogeni/xmlrpc/am
+--> 
+<rspec xmlns="http://www.geni.net/resources/rspec/3"
+       xmlns:xs="http://www.w3.org/2001/XMLSchema-instance"
+       xmlns:sharedvlan="http://www.protogeni.net/resources/rspec/ext/shared-vlan/1"
+       xs:schemaLocation="http://www.geni.net/resources/rspec/3
+           http://www.geni.net/resources/rspec/3/request.xsd
+           http://www.protogeni.net/resources/rspec/ext/shared-vlan/1
+           http://www.protogeni.net/resources/rspec/ext/shared-vlan/1/request.xsd"
+       type="request">
+  <node client_id="utah-pg" exclusive="false">
+    <sliver_type name="emulab-openvz" />
+    <interface client_id="utah-pg:if0">
+      <ip address="10.42.11.34" netmask="255.255.255.0" type="ipv4" />
+    </interface>
+  </node>
+  <link client_id="mesoscale-openflow-0">
+    <interface_ref client_id="utah-pg:if0" />
+    <sharedvlan:link_shared_vlan name="mesoscale-openflow" />
+  </link>
+</rspec>
Index: /trunk/GENIRacks/ExoGENI/Spiral5/RSpecs/ConfirmationTests/EG-CT-4/TemplateRspecs/IG-CT-4-rutgers-wapg.rspec
===================================================================
--- /trunk/GENIRacks/ExoGENI/Spiral5/RSpecs/ConfirmationTests/EG-CT-4/TemplateRspecs/IG-CT-4-rutgers-wapg.rspec	(revision 1573)
+++ /trunk/GENIRacks/ExoGENI/Spiral5/RSpecs/ConfirmationTests/EG-CT-4/TemplateRspecs/IG-CT-4-rutgers-wapg.rspec	(revision 1573)
@@ -0,0 +1,27 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!--
+This rspec reserves wide-area ProtoGENI host pg51 at Rutgers
+for the IG-CT-4 New Site Confirmation Test
+AM: http://www.emulab.net/protogeni/xmlrpc/am/2.0
+-->
+
+<rspec type="request" 
+	xmlns="http://www.geni.net/resources/rspec/3" 
+	xmlns:flack="http://www.protogeni.net/resources/rspec/ext/flack/1" 
+	xmlns:planetlab="http://www.planet-lab.org/resources/sfa/ext/planetlab/1" 
+	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
+	xsi:schemaLocation="http://www.geni.net/resources/rspec/3 
+	http://www.geni.net/resources/rspec/3/request.xsd">  
+
+  <node client_id="wapg-rutgers-pg51" component_id="urn:publicid:IDN+emulab.net+node+pg51" 
+  component_manager_id="urn:publicid:IDN+emulab.net+authority+cm" 
+  component_name="pg51" exclusive="true">
+    <interface client_id="wapg-rutgers-pg51:if0">
+   <ip address="10.42.11.151" netmask="255.255.255.0" />
+    </interface>
+
+  </node>
+
+
+</rspec>
+
Index: /trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/IG-CT-1/TemplateRspecs/IG-CT-1-newsite.rspec
===================================================================
--- /trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/IG-CT-1/TemplateRspecs/IG-CT-1-newsite.rspec	(revision 1573)
+++ /trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/IG-CT-1/TemplateRspecs/IG-CT-1-newsite.rspec	(revision 1573)
@@ -0,0 +1,42 @@
+<rspec type="request" 
+	xmlns="http://www.geni.net/resources/rspec/3" 
+	xmlns:flack="http://www.protogeni.net/resources/rspec/ext/flack/1" 
+	xmlns:planetlab="http://www.planet-lab.org/resources/sfa/ext/planetlab/1" 
+	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
+	xsi:schemaLocation="http://www.geni.net/resources/rspec/3 
+	http://www.geni.net/resources/rspec/3/request.xsd">  
+
+  <node client_id="VM-1" component_manager_id="urn:publicid:IDN+CHANGE_ME.geniracks.net+authority+cm" exclusive="false">
+    <sliver_type name="emulab-openvz"/>
+    <interface client_id="VM-1:if0">
+      <ip address="192.168.1.1" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+  <node client_id="VM-2" component_manager_id="urn:publicid:IDN+CHANGE_ME.geniracks.net+authority+cm" exclusive="false">
+    <sliver_type name="emulab-openvz"/>
+    <interface client_id="VM-2:if0">
+      <ip address="192.168.1.2" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+    </interface>
+  </node>
+  <node client_id="VM-3" component_manager_id="urn:publicid:IDN+CHANGE_ME.geniracks.net+authority+cm" exclusive="false">
+    <sliver_type name="emulab-openvz"/>
+    <interface client_id="VM-3:if0">
+      <ip address="192.168.1.3" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+  <node client_id="VM-4" component_manager_id="urn:publicid:IDN+CHANGE_ME.geniracks.net+authority+cm" exclusive="false">
+    <sliver_type name="emulab-openvz"/>
+    <interface client_id="VM-4:if0">
+      <ip address="192.168.1.4" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+  <link client_id="lan0">
+    <component_manager name="urn:publicid:IDN+CHANGE_ME.geniracks.net+authority+cm"/>
+    <interface_ref client_id="VM-1:if0"/>
+    <interface_ref client_id="VM-2:if0"/>
+    <interface_ref client_id="VM-3:if0"/>
+    <interface_ref client_id="VM-4:if0"/>
+    <link_type name="lan"/>
+  </link>
+</rspec>
Index: /trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/IG-CT-2/TemplateRspecs/IG-CT-2-newsite.rspec
===================================================================
--- /trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/IG-CT-2/TemplateRspecs/IG-CT-2-newsite.rspec	(revision 1573)
+++ /trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/IG-CT-2/TemplateRspecs/IG-CT-2-newsite.rspec	(revision 1573)
@@ -0,0 +1,27 @@
+<rspec type="request" 
+	xmlns="http://www.geni.net/resources/rspec/3" 
+	xmlns:flack="http://www.protogeni.net/resources/rspec/ext/flack/1" 
+	xmlns:planetlab="http://www.planet-lab.org/resources/sfa/ext/planetlab/1" 
+	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
+	xsi:schemaLocation="http://www.geni.net/resources/rspec/3 
+	http://www.geni.net/resources/rspec/3/request.xsd">  
+
+ <node client_id="VM" component_manager_id="urn:publicid:IDN+CHANGE_ME.geniracks.net+authority+cm" exclusive="false">
+    <sliver_type name="emulab-openvz"/>
+    <interface client_id="VM:if0">
+      <ip address="192.168.1.1" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+  <node client_id="PC" component_manager_id="urn:publicid:IDN+CHANGE_ME.geniracks.net+authority+cm" exclusive="true">
+    <sliver_type name="raw-pc"/>
+    <interface client_id="PC:if0">
+      <ip address="192.168.1.2" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+  <link client_id="lan0">
+    <component_manager name="urn:publicid:IDN+CHANGE_ME.geniracks.net+authority+cm"/>
+    <interface_ref client_id="VM:if0"/>
+    <interface_ref client_id="PC:if0"/>
+    <link_type name="lan"/>
+  </link>
+</rspec>
Index: /trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/IG-CT-3/TemplateRspecs/IG-CT-3-gpo.rspec
===================================================================
--- /trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/IG-CT-3/TemplateRspecs/IG-CT-3-gpo.rspec	(revision 1573)
+++ /trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/IG-CT-3/TemplateRspecs/IG-CT-3-gpo.rspec	(revision 1573)
@@ -0,0 +1,30 @@
+<rspec type="request" 
+	xmlns="http://www.geni.net/resources/rspec/3" 
+	xmlns:flack="http://www.protogeni.net/resources/rspec/ext/flack/1" 
+	xmlns:planetlab="http://www.planet-lab.org/resources/sfa/ext/planetlab/1" 
+	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
+	xsi:schemaLocation="http://www.geni.net/resources/rspec/3 
+	http://www.geni.net/resources/rspec/3/request.xsd">  
+
+  <node client_id="VM-0" component_manager_id="urn:publicid:IDN+CHANGE_ME.geniracks.net+authority+cm" exclusive="false">
+    <sliver_type name="emulab-openvz"/>
+    <interface client_id="VM-0:if0">
+      <ip address="192.168.3.1" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+  <node client_id="VM" component_manager_id="urn:publicid:IDN+GPO_INSTAGENI+authority+cm" exclusive="false">
+    <sliver_type name="emulab-openvz"/>
+    <interface client_id="VM:if0">
+      <ip address="192.168.3.2" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+  <link client_id="gre-tunnel0">
+    <component_manager name="urn:publicid:IDN+CHANGE_ME.geniracks.net+authority+cm"/>
+    <component_manager name="urn:publicid:IDN+GPO_INSTAGENI+authority+cm"/>
+    <interface_ref client_id="VM-0:if0"/>
+    <interface_ref client_id="VM:if0"/>
+    <property source_id="VM-0:if0" dest_id="VM:if0"/>
+    <property source_id="VM:if0" dest_id="VM-0:if0"/>
+    <link_type name="gre-tunnel"/>
+  </link>
+</rspec>
Index: /trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/IG-CT-3/TemplateRspecs/IG-CT-3-newsite.rspec
===================================================================
--- /trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/IG-CT-3/TemplateRspecs/IG-CT-3-newsite.rspec	(revision 1573)
+++ /trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/IG-CT-3/TemplateRspecs/IG-CT-3-newsite.rspec	(revision 1573)
@@ -0,0 +1,30 @@
+<rspec type="request" 
+	xmlns="http://www.geni.net/resources/rspec/3" 
+	xmlns:flack="http://www.protogeni.net/resources/rspec/ext/flack/1" 
+	xmlns:planetlab="http://www.planet-lab.org/resources/sfa/ext/planetlab/1" 
+	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
+	xsi:schemaLocation="http://www.geni.net/resources/rspec/3 
+	http://www.geni.net/resources/rspec/3/request.xsd">  
+
+  <node client_id="VM-0" component_manager_id="urn:publicid:IDN+CHANGE_ME.geniracks.net+authority+cm" exclusive="false">
+    <sliver_type name="emulab-openvz"/>
+    <interface client_id="VM-0:if0">
+      <ip address="192.168.3.1" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+  <node client_id="VM" component_manager_id="urn:publicid:IDN+GPO_INSTAGENI+authority+cm" exclusive="false">
+    <sliver_type name="emulab-openvz"/>
+    <interface client_id="VM:if0">
+      <ip address="192.168.3.2" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+  <link client_id="gre-tunnel0">
+    <component_manager name="urn:publicid:IDN+CHANGE_ME.geniracks.net+authority+cm"/>
+    <component_manager name="urn:publicid:IDN+GPO_INSTAGENI+authority+cm"/>
+    <interface_ref client_id="VM-0:if0"/>
+    <interface_ref client_id="VM:if0"/>
+    <property source_id="VM-0:if0" dest_id="VM:if0"/>
+    <property source_id="VM:if0" dest_id="VM-0:if0"/>
+    <link_type name="gre-tunnel"/>
+  </link>
+</rspec>
Index: /trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/IG-CT-4/TemplateRspecs/EG-CT-4-eg-gpo.rspec
===================================================================
--- /trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/IG-CT-4/TemplateRspecs/EG-CT-4-eg-gpo.rspec	(revision 1573)
+++ /trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/IG-CT-4/TemplateRspecs/EG-CT-4-eg-gpo.rspec	(revision 1573)
@@ -0,0 +1,31 @@
+<rspec type="request" 
+	xsi:schemaLocation="http://www.geni.net/resources/rspec/3 
+	          	    http://www.geni.net/resources/rspec/3/request.xsd
+                            http://www.protogeni.net/resources/rspec/ext/shared-vlan/1
+                            http://www.protogeni.net/resources/rspec/ext/shared-vlan/1/request.xsd"
+	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
+        xmlns:s="http://www.protogeni.net/resources/rspec/ext/shared-vlan/1"
+	xmlns="http://www.geni.net/resources/rspec/3">
+
+  <node client_id="VM-1" component_manager_id="urn:publicid:IDN+bbnvmsite+authority+cm" >
+    <sliver_type name="m1.small">
+   <disk_image name="http://geni-images.renci.org/images/standard/debian/debian-squeeze-amd64-neuca-2g.zfilesystem.sparse.xml" version="0866827ee71324fbbe273c9e8f4f1c142a548e11" />
+    </sliver_type>
+    <interface client_id="VM-1:if0">
+   <ip address="10.42.11.15" netmask="255.255.0.0" />
+    </interface>
+  </node>
+  <node client_id="VM-2" component_manager_id="urn:publicid:IDN+bbnvmsite+authority+cm" >
+    <sliver_type name="m1.small">
+   <disk_image name="http://geni-images.renci.org/images/standard/debian/debian-squeeze-amd64-neuca-2g.zfilesystem.sparse.xml" version="0866827ee71324fbbe273c9e8f4f1c142a548e11" />
+    </sliver_type>
+    <interface client_id="VM-2:if0">
+   <ip address="10.42.11.16" netmask="255.255.255.0" />
+    </interface>
+  </node>
+  <link client_id="lan0">
+    <interface_ref client_id="VM-1:if0"/>
+    <interface_ref client_id="VM-2:if0"/>
+    <s:link_shared_vlan name="1750"/>
+  </link>
+</rspec>
Index: /trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/IG-CT-4/TemplateRspecs/EG-CT-4-openflow-eg-gpo.rspec
===================================================================
--- /trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/IG-CT-4/TemplateRspecs/EG-CT-4-openflow-eg-gpo.rspec	(revision 1573)
+++ /trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/IG-CT-4/TemplateRspecs/EG-CT-4-openflow-eg-gpo.rspec	(revision 1573)
@@ -0,0 +1,41 @@
+<!-- 
+
+AM: https://foam.gpolab.bbn.com:3626/foam/gapi/1
+-->
+
+<rspec xmlns="http://www.geni.net/resources/rspec/3"
+       xmlns:xs="http://www.w3.org/2001/XMLSchema-instance"
+       xmlns:openflow="http://www.geni.net/resources/rspec/ext/openflow/3"
+       xs:schemaLocation="http://www.geni.net/resources/rspec/3
+           http://www.geni.net/resources/rspec/3/request.xsd
+           http://www.geni.net/resources/rspec/ext/openflow/3
+           http://www.geni.net/resources/rspec/ext/openflow/3/of-resv.xsd"
+       type="request">
+
+  <openflow:sliver description="Sliver to allow BBN, BBN ExoGENI, Clemson MyPLC and Rutgers WAPG over 3716 "
+                   email="lnevers@bbn.com">
+
+    <openflow:controller url="tcp:mallorea.gpolab.bbn.com:33020" type="primary" />
+
+    <openflow:group name="Site-1750-nlr-3716">
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.gpolab.bbn.com+datapath+06:d6:00:12:e2:b8:a5:d0"
+			 component_manager_id="urn:publicid:IDN+openflow:foam:foam.gpolab.bbn.com+authority+am">
+        <openflow:port num="5"/>
+        <openflow:port num="15"/>
+      </openflow:datapath>
+    </openflow:group>
+
+    <openflow:match>
+
+      <openflow:use-group name="Site-1750-nlr-3716" />
+
+      <openflow:packet>
+        <openflow:dl_type value="0x800,0x806"/>
+        <openflow:nw_dst value="10.42.11.0/24"/>
+        <openflow:nw_src value="10.42.11.0/24"/>
+      </openflow:packet>
+
+    </openflow:match>
+  </openflow:sliver>
+
+</rspec>
Index: /trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/IG-CT-4/TemplateRspecs/IG-CT-4-ig-utah.rspec
===================================================================
--- /trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/IG-CT-4/TemplateRspecs/IG-CT-4-ig-utah.rspec	(revision 1573)
+++ /trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/IG-CT-4/TemplateRspecs/IG-CT-4-ig-utah.rspec	(revision 1573)
@@ -0,0 +1,39 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!-- 
+This rspec will two VMs on VLAN 1750 at the InstaGENI rack at Utah,
+Only one node is used for IG-CT-4 New Site Confirmation Tests.
+AM: http://utah.geniracks.net/protogeni/xmlrpc/am
+--> 
+<rspec xmlns="http://www.geni.net/resources/rspec/3"
+       xmlns:xs="http://www.w3.org/2001/XMLSchema-instance"
+       xmlns:sharedvlan="http://www.protogeni.net/resources/rspec/ext/shared-vlan/1"
+       xs:schemaLocation="http://www.geni.net/resources/rspec/3
+           http://www.geni.net/resources/rspec/3/request.xsd
+           http://www.protogeni.net/resources/rspec/ext/shared-vlan/1
+           http://www.protogeni.net/resources/rspec/ext/shared-vlan/1/request.xsd"
+       type="request">
+
+  <node client_id="utah-ig" exclusive="false">
+    <sliver_type name="emulab-openvz" />
+    <interface client_id="utah-ig:if0">
+      <ip address="10.42.11.33" netmask="255.255.255.0" type="ipv4" />
+    </interface>
+  </node>
+
+  <node client_id="utah-ig2" exclusive="false">
+    <sliver_type name="emulab-openvz" />
+    <interface client_id="utah-ig2:if0">
+      <ip address="10.42.11.32" netmask="255.255.255.0" type="ipv4" />
+    </interface>
+  </node>
+
+  <link client_id="openflow-mesoscale-0">
+    <interface_ref client_id="utah-ig:if0" />
+    <sharedvlan:link_shared_vlan name="mesoscale-openflow" />
+  </link>
+
+  <link client_id="openflow-mesoscale-1">
+    <interface_ref client_id="utah-ig2:if0" />
+    <sharedvlan:link_shared_vlan name="mesoscale-openflow" />
+  </link>
+</rspec>
Index: /trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/IG-CT-4/TemplateRspecs/IG-CT-4-newsite.rspec
===================================================================
--- /trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/IG-CT-4/TemplateRspecs/IG-CT-4-newsite.rspec	(revision 1573)
+++ /trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/IG-CT-4/TemplateRspecs/IG-CT-4-newsite.rspec	(revision 1573)
@@ -0,0 +1,27 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!-- 
+This rspec will one VMs on VLAN 1750 at the New Site
+AM: http://utah.geniracks.net/protogeni/xmlrpc/am
+--> 
+<rspec xmlns="http://www.geni.net/resources/rspec/3"
+       xmlns:xs="http://www.w3.org/2001/XMLSchema-instance"
+       xmlns:sharedvlan="http://www.protogeni.net/resources/rspec/ext/shared-vlan/1"
+       xs:schemaLocation="http://www.geni.net/resources/rspec/3
+           http://www.geni.net/resources/rspec/3/request.xsd
+           http://www.protogeni.net/resources/rspec/ext/shared-vlan/1
+           http://www.protogeni.net/resources/rspec/ext/shared-vlan/1/request.xsd"
+       type="request">
+
+  <node client_id="newsite-ig" exclusive="false">
+    <sliver_type name="emulab-openvz" />
+    <interface client_id="newsite-ig:if0">
+      <ip address="10.42.11.41" netmask="255.255.255.0" type="ipv4" />
+    </interface>
+  </node>
+
+  <link client_id="openflow-mesoscale-0">
+    <interface_ref client_id="newsite-ig:if0" />
+    <sharedvlan:link_shared_vlan name="mesoscale-openflow" />
+  </link>
+
+</rspec>
Index: /trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/IG-CT-4/TemplateRspecs/IG-CT-4-openflow-instageni.rspec
===================================================================
--- /trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/IG-CT-4/TemplateRspecs/IG-CT-4-openflow-instageni.rspec	(revision 1573)
+++ /trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/IG-CT-4/TemplateRspecs/IG-CT-4-openflow-instageni.rspec	(revision 1573)
@@ -0,0 +1,42 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!-- 
+This rspec will reserve the OpenFlow resources in the InstaGENI rack 
+at Utah used by IG-CT-4 New Site Confirmation Test
+
+AM: https://foam.utah.geniracks.net:3626/foam/gapi/1
+-->
+
+<rspec xmlns="http://www.geni.net/resources/rspec/3"
+       xmlns:xs="http://www.w3.org/2001/XMLSchema-instance"
+       xmlns:openflow="http://www.geni.net/resources/rspec/ext/openflow/3"
+       xs:schemaLocation="http://www.geni.net/resources/rspec/3
+           http://www.geni.net/resources/rspec/3/request.xsd
+           http://www.geni.net/resources/rspec/ext/openflow/3
+           http://www.geni.net/resources/rspec/ext/openflow/3/of-resv.xsd"
+       type="request">
+
+  <openflow:sliver description="New Site Confirmation Test IG-CT-4 ">
+
+    <openflow:controller url="tcp:mallorea.gpolab.bbn.com:33020" type="primary" />
+
+
+    <openflow:group name="utah-instageni-1750">
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:ig-utah+datapath+06:d6:00:24:a8:5d:0b:00" 
+		         component_manager_id="urn:publicid:IDN+openflow:foam:ig-utah+authority+am" />
+    </openflow:group>
+
+    <openflow:match>
+
+      <openflow:use-group name="utah-instageni-1750" />
+
+      <openflow:packet>
+	<openflow:dl_type value="0x800,0x806"/>
+	<openflow:nw_dst value="10.42.11.0/24"/>
+	<openflow:nw_src value="10.42.11.0/24"/>
+      </openflow:packet>
+
+    </openflow:match>
+
+  </openflow:sliver>
+
+</rspec>
Index: /trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/IG-CT-4/TemplateRspecs/IG-CT-4-openflow-internet2.rspec
===================================================================
--- /trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/IG-CT-4/TemplateRspecs/IG-CT-4-openflow-internet2.rspec	(revision 1573)
+++ /trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/IG-CT-4/TemplateRspecs/IG-CT-4-openflow-internet2.rspec	(revision 1573)
@@ -0,0 +1,69 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!-- 
+This rspec will reserve the OpenFlow resources at Internet2
+used by the IG-CT-4 New Site Confirmation Test 
+AM: https://foam.net.internet2.edu:3626/foam/gapi/1
+-->
+<rspec xmlns="http://www.geni.net/resources/rspec/3"
+       xmlns:xs="http://www.w3.org/2001/XMLSchema-instance"
+       xmlns:openflow="http://www.geni.net/resources/rspec/ext/openflow/3"
+       xs:schemaLocation="http://www.geni.net/resources/rspec/3
+           http://www.geni.net/resources/rspec/3/request.xsd
+           http://www.geni.net/resources/rspec/ext/openflow/3
+           http://www.geni.net/resources/rspec/ext/openflow/3/of-resv.xsd"
+       type="request">
+  <openflow:sliver description="New Site Confirmation Test IG-CT-4 "
+		   email="lnevers@bbn.com">
+
+ <openflow:controller url="tcp:mallorea.gpolab.bbn.com:33020" type="primary" />
+
+    <openflow:group name="i2-3716">
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+00:00:0e:84:40:39:18:1b" 
+	component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am" />  <!-- I2 NEWY 3716 -->
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+00:00:0e:84:40:39:18:58" 
+	component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am" />  <!-- I2 WASH 3716 -->
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+00:00:0e:84:40:39:19:96" 
+	component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am" />  <!-- I2 ATLA 3716 -->
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+00:00:0e:84:40:39:1a:57" 
+	component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am" />  <!-- I2 HOUS 3716 -->
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+00:00:0e:84:40:39:1b:93" 
+	component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am" />  <!-- I2 LOSA 3716 -->
+    </openflow:group>
+
+   <openflow:group name="I2-LOSA-1750-3716">
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+00:00:06:d6:40:39:1b:93" 
+	component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am" dpid="00:00:06:d6:40:39:1b:93">
+        <openflow:port name="15" num="4"/>
+      </openflow:datapath>
+    </openflow:group>
+
+    <openflow:group name="UEN-1750">
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+00:00:06:d6:40:39:1b:93" 
+	component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am" dpid="00:00:06:d6:40:39:1b:93">
+        <openflow:port name="12" num="2"/>
+      </openflow:datapath>
+    </openflow:group>
+
+    <openflow:group name="I2-ATLA-1750-3716">
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+00:00:06:d6:40:39:19:96" 	
+	component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am" dpid="00:00:06:d6:40:39:19:96">
+        <openflow:port name="9" num="2"/>
+      </openflow:datapath>
+    </openflow:group>
+
+    <openflow:match>
+
+      <openflow:use-group name="i2-3716" />
+      <openflow:use-group name="UEN-1750" />
+      <openflow:use-group name="I2-LOSA-1750-3716" />
+      <openflow:packet>
+	<openflow:dl_type value="0x800,0x806"/>
+	<openflow:nw_dst value="10.42.11.0/24"/>
+	<openflow:nw_src value="10.42.11.0/24"/>
+      </openflow:packet>
+
+    </openflow:match>
+
+  </openflow:sliver>
+
+</rspec>
Index: /trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/IG-CT-4/TemplateRspecs/IG-CT-4-openflow-newsite.rspec
===================================================================
--- /trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/IG-CT-4/TemplateRspecs/IG-CT-4-openflow-newsite.rspec	(revision 1573)
+++ /trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/IG-CT-4/TemplateRspecs/IG-CT-4-openflow-newsite.rspec	(revision 1573)
@@ -0,0 +1,41 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!-- 
+This rspec will reserve the OpenFlow resources in New Site InstaGENI rack 
+
+AM: https://foam.utah.geniracks.net:3626/foam/gapi/1
+-->
+
+<rspec xmlns="http://www.geni.net/resources/rspec/3"
+       xmlns:xs="http://www.w3.org/2001/XMLSchema-instance"
+       xmlns:openflow="http://www.geni.net/resources/rspec/ext/openflow/3"
+       xs:schemaLocation="http://www.geni.net/resources/rspec/3
+           http://www.geni.net/resources/rspec/3/request.xsd
+           http://www.geni.net/resources/rspec/ext/openflow/3
+           http://www.geni.net/resources/rspec/ext/openflow/3/of-resv.xsd"
+       type="request">
+
+  <openflow:sliver description="New Site Confirmation Test IG-CT-4 ">
+
+    <openflow:controller url="tcp:mallorea.gpolab.bbn.com:33020" type="primary" />
+
+
+    <openflow:group name="newsite-instageni-1750">
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:new-ig-utah+datapath+06:d6:00:24:a8:5d:0b:00" 
+		         component_manager_id="urn:publicid:IDN+openflow:foam:new-ig-utah+authority+am" />
+    </openflow:group>
+
+    <openflow:match>
+
+      <openflow:use-group name="newsite-instageni-1750" />
+
+      <openflow:packet>
+	<openflow:dl_type value="0x800,0x806"/>
+	<openflow:nw_dst value="10.42.11.0/24"/>
+	<openflow:nw_src value="10.42.11.0/24"/>
+      </openflow:packet>
+
+    </openflow:match>
+
+  </openflow:sliver>
+
+</rspec>
Index: /trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/IG-CT-4/TemplateRspecs/IG-CT-4-openflow-nlr.rspec
===================================================================
--- /trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/IG-CT-4/TemplateRspecs/IG-CT-4-openflow-nlr.rspec	(revision 1573)
+++ /trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/IG-CT-4/TemplateRspecs/IG-CT-4-openflow-nlr.rspec	(revision 1573)
@@ -0,0 +1,50 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!-- 
+This rspec will reserve the OpenFlow resources at NLR
+for IG-CT-4 New Site Confirmation Test
+AM: https://foam.nlr.net:3626/foam/gapi/1
+-->
+
+<rspec xmlns="http://www.geni.net/resources/rspec/3"
+       xmlns:xs="http://www.w3.org/2001/XMLSchema-instance"
+       xmlns:openflow="http://www.geni.net/resources/rspec/ext/openflow/3"
+       xs:schemaLocation="http://www.geni.net/resources/rspec/3
+           http://www.geni.net/resources/rspec/3/request.xsd
+           http://www.geni.net/resources/rspec/ext/openflow/3
+           http://www.geni.net/resources/rspec/ext/openflow/3/of-resv.xsd"
+       type="request">
+
+  <openflow:sliver description="New Site Confirmation Test IG-CT-4 "
+                   email="lnevers@bbn.com">
+
+    <openflow:controller url="tcp:mallorea.gpolab.bbn.com:33020" type="primary" />
+
+    <openflow:group name="nlr-atla-1750-3716">
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.nlr.net+datapath+06:d6:00:24:a8:d2:b8:40" component_manager_id="urn:publicid:IDN+openflow:foam:foam.nlr.net+authority+am">
+        <openflow:port num="5"/>   <!-- to VLAN 3716 -->
+        <openflow:port num="9"/>   <!-- to AMPATH -->
+        <openflow:port num="11"/>  <!-- to FIU -->
+        <openflow:port num="49"/>  <!-- to RENCI -->
+      </openflow:datapath>
+    </openflow:group>
+
+    <openflow:group name="nlr-3716">
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.nlr.net+datapath+0e:84:00:23:47:c8:bc:00" component_manager_id="urn:publicid:IDN+openflow:foam:foam.nlr.net+authority+am" />  <!-- NLR CHIC 3716 -->
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.nlr.net+datapath+0e:84:00:23:47:ca:bc:40" component_manager_id="urn:publicid:IDN+openflow:foam:foam.nlr.net+authority+am" />  <!-- NLR SUNN 3716 -->
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.nlr.net+datapath+0e:84:00:24:a8:d2:48:00" component_manager_id="urn:publicid:IDN+openflow:foam:foam.nlr.net+authority+am" />  <!-- NLR SEAT 3716 -->
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.nlr.net+datapath+0e:84:00:24:a8:d2:b8:40" component_manager_id="urn:publicid:IDN+openflow:foam:foam.nlr.net+authority+am" />  <!-- NLR ATLA 3716 -->
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.nlr.net+datapath+0e:84:00:26:f1:40:a8:00" component_manager_id="urn:publicid:IDN+openflow:foam:foam.nlr.net+authority+am" />  <!-- NLR DENV 3716 -->
+    </openflow:group>
+
+    <openflow:match>
+      <openflow:use-group name="nlr-atla-1750-3716" />
+      <openflow:use-group name="nlr-3716" />
+      <openflow:packet>
+	<openflow:dl_type value="0x800,0x806"/>
+	<openflow:nw_dst value="10.42.11.0/24"/>
+	<openflow:nw_src value="10.42.11.0/24"/>
+      </openflow:packet>
+    </openflow:match>
+  </openflow:sliver>
+</rspec>
+
Index: /trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/IG-CT-4/TemplateRspecs/IG-CT-4-openflow-rutgers.rspec
===================================================================
--- /trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/IG-CT-4/TemplateRspecs/IG-CT-4-openflow-rutgers.rspec	(revision 1573)
+++ /trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/IG-CT-4/TemplateRspecs/IG-CT-4-openflow-rutgers.rspec	(revision 1573)
@@ -0,0 +1,48 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!-- 
+This rspec will reserve the OpenFlow resources at Rutgers
+used by the IG-CT-4 Site Confirmation Test.
+
+AM: https://nox.orbit-lab.org:3626/foam/gapi/1
+-->
+
+<rspec xmlns="http://www.geni.net/resources/rspec/3"
+       xmlns:xs="http://www.w3.org/2001/XMLSchema-instance"
+       xmlns:openflow="http://www.geni.net/resources/rspec/ext/openflow/3"
+       xs:schemaLocation="http://www.geni.net/resources/rspec/3
+           http://www.geni.net/resources/rspec/3/request.xsd
+           http://www.geni.net/resources/rspec/ext/openflow/3
+           http://www.geni.net/resources/rspec/ext/openflow/3/of-resv.xsd"
+       type="request">
+
+  <openflow:sliver description="New Site Confirmation Test IG-CT-4 "
+		   email="lnevers@bbn.com">
+
+    <openflow:controller url="tcp:mallorea.gpolab.bbn.com:33020" type="primary" />
+
+    <openflow:group name="rutgers-1750-i2-3716">
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:internal2.orbit-lab.org+datapath+00:00:00:10:10:17:50:01"
+			 component_manager_id="urn:publicid:IDN+openflow:foam:internal2.orbit-lab.org+authority+am">
+	<openflow:port num="5"/>
+	<openflow:port num="9"/>
+	<openflow:port num="10"/>
+	<openflow:port num="11"/>
+	<openflow:port num="12"/>
+      </openflow:datapath>
+    </openflow:group>
+
+    <openflow:match>
+
+      <openflow:use-group name="rutgers-1750-i2-3716" />
+
+      <openflow:packet>
+	<openflow:dl_type value="0x800,0x806"/>
+	<openflow:nw_dst value="10.42.11.0/24"/>
+	<openflow:nw_src value="10.42.11.0/24"/>
+      </openflow:packet>
+
+    </openflow:match>
+
+  </openflow:sliver>
+
+</rspec>
Index: /trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/IG-CT-4/TemplateRspecs/IG-CT-4-openflow-uen.rspec
===================================================================
--- /trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/IG-CT-4/TemplateRspecs/IG-CT-4-openflow-uen.rspec	(revision 1573)
+++ /trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/IG-CT-4/TemplateRspecs/IG-CT-4-openflow-uen.rspec	(revision 1573)
@@ -0,0 +1,49 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!-- 
+This rspec will reserve the OpenFlow resources at UEN
+used by the  IG-CT-1 New Site Confirmation Test
+
+AM: https://foamyflow.chpc.utah.edu:3626/foam/gapi/1
+-->
+
+<rspec xmlns="http://www.geni.net/resources/rspec/3"
+       xmlns:xs="http://www.w3.org/2001/XMLSchema-instance"
+       xmlns:openflow="http://www.geni.net/resources/rspec/ext/openflow/3"
+       xs:schemaLocation="http://www.geni.net/resources/rspec/3
+           http://www.geni.net/resources/rspec/3/request.xsd
+           http://www.geni.net/resources/rspec/ext/openflow/3
+           http://www.geni.net/resources/rspec/ext/openflow/3/of-resv.xsd"
+       type="request">
+
+  <openflow:sliver description="New Site Confirmation Test IG-CT-4 ">
+
+    <openflow:controller url="tcp:mallorea.gpolab.bbn.com:33020" type="primary" />
+
+
+    <openflow:group name="uen-1750">
+    <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foamyflow.chpc.utah.edu+datapath+06:d6:ac:16:2d:f5:2d:00" 
+	component_manager_id="urn:publicid:IDN+openflow:foam:foamyflow.chpc.utah.edu+authority+am" dpid="06:d6:ac:16:2d:f5:2d:00">
+        <openflow:port name="A21" num="21"/>
+        <openflow:port name="A22" num="22"/>
+      </openflow:datapath>
+    </openflow:group>
+
+   <openflow:group name="utah-instageni-1750">
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:ig-utah+datapath+06:d6:00:24:a8:5d:0b:00" 
+		         component_manager_id="urn:publicid:IDN+openflow:foam:ig-utah+authority+am" />
+    </openflow:group>
+
+    <openflow:match>
+      <openflow:use-group name="utah-instageni-1750" />
+      <openflow:use-group name="uen-1750" />
+      <openflow:packet>
+	<openflow:dl_type value="0x800,0x806"/>
+	<openflow:nw_dst value="10.42.11.0/24"/>
+	<openflow:nw_src value="10.42.11.0/24"/>
+      </openflow:packet>
+
+    </openflow:match>
+
+  </openflow:sliver>
+
+</rspec>
Index: /trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/IG-CT-4/TemplateRspecs/IG-CT-4-pg-utah.rspec
===================================================================
--- /trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/IG-CT-4/TemplateRspecs/IG-CT-4-pg-utah.rspec	(revision 1573)
+++ /trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/IG-CT-4/TemplateRspecs/IG-CT-4-pg-utah.rspec	(revision 1573)
@@ -0,0 +1,24 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!-- 
+This rspec will reserve one VM named utah-pg used by the IG-CT-4 New Site Confirmation Test
+AM: http://www.emulab.net/protogeni/xmlrpc/am
+--> 
+<rspec xmlns="http://www.geni.net/resources/rspec/3"
+       xmlns:xs="http://www.w3.org/2001/XMLSchema-instance"
+       xmlns:sharedvlan="http://www.protogeni.net/resources/rspec/ext/shared-vlan/1"
+       xs:schemaLocation="http://www.geni.net/resources/rspec/3
+           http://www.geni.net/resources/rspec/3/request.xsd
+           http://www.protogeni.net/resources/rspec/ext/shared-vlan/1
+           http://www.protogeni.net/resources/rspec/ext/shared-vlan/1/request.xsd"
+       type="request">
+  <node client_id="utah-pg" exclusive="false">
+    <sliver_type name="emulab-openvz" />
+    <interface client_id="utah-pg:if0">
+      <ip address="10.42.11.34" netmask="255.255.255.0" type="ipv4" />
+    </interface>
+  </node>
+  <link client_id="mesoscale-openflow-0">
+    <interface_ref client_id="utah-pg:if0" />
+    <sharedvlan:link_shared_vlan name="mesoscale-openflow" />
+  </link>
+</rspec>
Index: /trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/IG-CT-4/TemplateRspecs/IG-CT-4-rutgers-wapg.rspec
===================================================================
--- /trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/IG-CT-4/TemplateRspecs/IG-CT-4-rutgers-wapg.rspec	(revision 1573)
+++ /trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/IG-CT-4/TemplateRspecs/IG-CT-4-rutgers-wapg.rspec	(revision 1573)
@@ -0,0 +1,27 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!--
+This rspec reserves wide-area ProtoGENI host pg51 at Rutgers
+for the IG-CT-4 New Site Confirmation Test
+AM: http://www.emulab.net/protogeni/xmlrpc/am/2.0
+-->
+
+<rspec type="request" 
+	xmlns="http://www.geni.net/resources/rspec/3" 
+	xmlns:flack="http://www.protogeni.net/resources/rspec/ext/flack/1" 
+	xmlns:planetlab="http://www.planet-lab.org/resources/sfa/ext/planetlab/1" 
+	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
+	xsi:schemaLocation="http://www.geni.net/resources/rspec/3 
+	http://www.geni.net/resources/rspec/3/request.xsd">  
+
+  <node client_id="wapg-rutgers-pg51" component_id="urn:publicid:IDN+emulab.net+node+pg51" 
+  component_manager_id="urn:publicid:IDN+emulab.net+authority+cm" 
+  component_name="pg51" exclusive="true">
+    <interface client_id="wapg-rutgers-pg51:if0">
+   <ip address="10.42.11.151" netmask="255.255.255.0" />
+    </interface>
+
+  </node>
+
+
+</rspec>
+
